## org.apache.cassandra.io
Interface IVersionedSerializer<T>

All Known Implementing Classes:
  AbstractBounds.AbstractBoundsSerializer, PendingFile.PendingFileSerializer, Row.RowSerializer, RowMutation.RowMutationSerializer, TruncateResponse.TruncateResponseSerializer, WriteResponse.WriteResponseSerializer

    public interface IVersionedSerializer<T>

Method Summary
`T` `deserialize(java.io.DataInput dis, int version)` Deserialize into the specified DataInputStream instance.
`void` `serialize(T t, java.io.DataOutput dos, int version)` Serialize the specified type into the specified DataOutputStream instance.
`long` `serializedSize(T t, int version)`

Method Detail

### serialize

    void serialize(T t,
                   java.io.DataOutput dos,
                   int version)
                   throws java.io.IOException

  Serialize the specified type into the specified DataOutputStream instance.

  Parameters:
    `t` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    T deserialize(java.io.DataInput dis,
                  int version)
                  throws java.io.IOException

  Deserialize into the specified DataInputStream instance.

  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### serializedSize

    long serializedSize(T t,
                        int version)

Copyright © 2013 The Apache Software Foundation